Subject: Re: [6lowpan] Fwd: New Version Notification for draft-ietf-6lowpan-nd-15

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sun, 23 Jan 2011 18:32:41 +0100

Hi Zach:

I'm a bit concerned with the use of the 'L' flag in 6lowpan ND. I have
in mind that the ND registration might be useful on links that are
actually transitive.
In usual LoWPANs like 15.4, it is clear that the 'L' flag should not be
set, but that has to do with the PHY characteristics, not with the need
for registration. 
Also, I feel that it could be useful to have a new flag next to 'L' and
'A' that indicates that the ND in place in a network is registration vs.
classic.

What do you think?

Pascal
http://www.xtranormal.com/watch/7011357/

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Zach Shelby
> Sent: Friday, December 17, 2010 1:07 PM
> To: 6lowpan 6lowpan
> Subject: [6lowpan] Fwd: New Version Notification for
draft-ietf-6lowpan-nd-
> 15
> 
> http://www.ietf.org/id/draft-ietf-6lowpan-nd-15.txt
> 
> An updated version of the ND optimization draft has been submitted. We
> closed the three tickets that were created from the Beijing WG
meeting. All
> three were minor changes. Implementers should note that the unit of
> lifetimes has changed to 60 seconds (instead of 10), and that an
additional
> state was added to the Context Table of nodes.
> 
>    Changes from -14 to -15:
> 
>       o Changed use of redirect to SHOULD NOT for route-over and MAY
for
>       mesh-under. (#130)
> 
>       o Changed the 16-bit lifetimes to a unit of 60 seconds (#131)
> 
>       o Added text to Section 5.4.2 adding a receive-only state to
>       context entries that timeout. (#132)
> 
>  Zach
> 
> Begin forwarded message:
> 
> > From: IETF I-D Submission Tool <[email-masked]>
> > Date: December 17, 2010 2:00:57 PM GMT+02:00
> > To: [email-masked]
> > Cc: [email-masked],[email-masked]
> > Subject: New Version Notification for draft-ietf-6lowpan-nd-15
> >
> >
> > A new version of I-D, draft-ietf-6lowpan-nd-15.txt has been
successfully
> submitted by Zach Shelby and posted to the IETF repository.
> >
> > Filename:	 draft-ietf-6lowpan-nd
> > Revision:	 15
> > Title:		 Neighbor Discovery Optimization for Low-power
and Lossy
> Networks
> > Creation_date:	 2010-12-17
> > WG ID:		 6lowpan
> > Number_of_pages: 60
> >
> > Abstract:
> > The IETF 6LoWPAN working group defines IPv6 over Low-power Wireless
> > Personal Area Networks such as IEEE 802.15.4.  This and other
similar
> > link technologies have limited or no usage of multicast signaling
due
> > to energy conservation.  In addition, the wireless network may not
> > strictly follow traditional concept of IP subnets and IP links.
IPv6
> > Neighbor Discovery was not designed for non-transitive wireless
links.
> > The traditional IPv6 link concept and heavy use of multicast make
the
> > protocol inefficient and sometimes impractical in a low power and
> > lossy network.  This document describes simple optimizations to IPv6
> > Neighbor Discovery, addressing mechanisms and duplicate address
> > detection for 6LoWPAN and similar networks.
> >
> >
> >
> > The IETF Secretariat.
> >
> >
> 
> --
> Zach Shelby, Chief Nerd, Sensinode Ltd.
> http://zachshelby.org  - My blog "On the Internet of Things"
> http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
> Mobile: +358 40 7796297